%global pypi_name	yapf

Name:		python-%{pypi_name}
Version:	0.32.0
Release:	%mkrel 1
Summary:	A formatter for Python code
Group:		Development/Python
License:	ASL 2.0
URL:		https://github.com/google/yapf
Source0:	%{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:	noarch
 
BuildRequires:	python3-devel
BuildRequires:	python3dist(setuptools)

%description
YAPF Introduction Most of the current formatters for Python e.g., autopep8, and
pep8ify are made to remove lint errors from code. This has some obvious
limitations. For instance, code that conforms to the PEP 8 guidelines may not
be.

%package -n	python3-%{pypi_name}
Summary:	A formatter for Python3 code
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n	python3-%{pypi_name}
YAPF Introduction Most of the current formatters for Python e.g., autopep8, and
pep8ify are made to remove lint errors from code. This has some obvious
limitations. For instance, code that conforms to the PEP 8 guidelines may not
be.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

for lib in $(find . -type f -name "*.py"); do
 sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

cp plugins/README.rst README-plugins.rst

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README-plugins.rst README.rst
%{_bindir}/yapf
%{_bindir}/yapf-diff
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/yapftests
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Aug 23 2022 papoteur <papoteur> 0.32.0-1.mga9
+ Revision: 1879718
- new 0.32.0

* Wed Mar 23 2022 umeabot <umeabot> 0.31.0-3.mga9
+ Revision: 1823028
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 0.31.0-2.mga9
+ Revision: 1778571
- Rebuild for python-3.10

* Wed Mar 17 2021 daviddavid <daviddavid> 0.31.0-1.mga9
+ Revision: 1704030
- new version: 0.31.0
- rebuild for python 3.9

* Thu Jan 07 2021 daviddavid <daviddavid> 0.30.0-1.mga8
+ Revision: 1669422
- initial package python-yapf

